## nvidia-graphics-drivers-390 390.87

=== debian/changelog ===
nvidia-graphics-drivers-390 (390.87-0ubuntu1) cosmic; urgency=medium

  * New upstream release:
    - Fixed a resource leak introduced in the 390 series of drivers
      that could lead to reduced performance after starting and
      stopping several OpenGL and/or Vulkan applications.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 28 Aug 2018 08:49:24 +0200

nvidia-graphics-drivers-390 (390.77-0ubuntu1) cosmic; urgency=medium

  * New upstream release:
    - Improved compatibility with recent Linux kernels.
    - Fixed an intermittent hang of Vulkan applications running
      fullscreen when flipping is allowed.
    - Removed informational messages that were printed by nvidia-
      modeset.ko whenever a GPU device was allocated or freed.
    - Fixed a bug that caused kwin OpenGL compositing to crash when
      launching certain OpenGL applications.
  * debian/nvidia-kernel-common-390.nvidia-fallback.service,
    debian/templates/nvidia-kernel-common-flavour.nvidia-fallback.service.in,
    debian/rules,
    debian/rules.defs:
    - Remove nvidia-fallback.service, as loading nouveau can cause problems
      on hybrid systems.
    - Use https instead of http for the sources.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 31 Jul 2018 16:26:48 +0200

nvidia-graphics-drivers-390 (390.67-0ubuntu1) cosmic; urgency=medium

  * New upstream release:
    - Fixed a bug that could cause kernel panics when using Quadro
      SDI Capture hardware.
    - Fixed a bug that caused kwin OpenGL compositing to crash when
      launching certain OpenGL applications.
    - Fixed an intermittent crash when launching Vulkan applications.
    - Fixed an intermittent crash when launching applications through
      Wine.
    - Fixed a bug that caused the driver, in some low bandwidth
      DisplayPort configurations, to not implicitly enable display
      dithering.  This resulted in visible banding.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 06 Jun 2018 15:43:51 +0200

nvidia-graphics-drivers-390 (390.59-0ubuntu1) cosmic; urgency=medium

  * New upstream release:
    - Added support for the following GPUs:
        GeForce GTX 1050 with Max-Q Design
        Quadro P3200
        Quadro P4200
    - Added support for X.Org xserver ABI 24 (xorg-server 1.20).
    - Improved nvidia-bug-report.sh to check for kern.log which is
      the default kernel log-file location for many Debian-based
      Linux distributions.
    - Fixed a bug which could cause X servers that export a Video
      Driver ABI earlier than 0.8 to crash when running X11
      applications which call XRenderAddTraps().

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 30 May 2018 16:32:34 +0200

nvidia-graphics-drivers-390 (390.48-0ubuntu4) cosmic; urgency=medium

  [ Alberto Milone ]
  * debian/templates/nvidia-kernel-common-flavour.{install|maintscript}.in:
    - Install the modprobe file in /lib (LP: #1761593).

  [ Graham Inggs ]
  * debian/create-uvm-dev-node:
    - Create the /dev/nvidia-uvm-tools device node (LP: #1767777).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 15 May 2018 12:42:43 +0200
