## nvidia-graphics-drivers-390 390.116

=== debian/changelog ===
nvidia-graphics-drivers-390 (390.116-0ubuntu1) disco; urgency=medium

  * New upstream release:
    - Fixed build failures which resulted in errors like "implicit
      declaration of function drm_...", when building the NVIDIA
      DRM kernel module for Linux kernel 5.0 release candidates.
    - Fixed a bug which could cause VK_KHR_external_semaphore_fd
      operations to fail.
    - Fixed a build failure, "implicit declaration of function
      'vm_insert_pfn'", when building the NVIDIA DRM kernel module
      for Linux kernel 4.20 release candidates.
    - Fixed a build failure, "unknown type name 'ipmi_user_t'",
      when building the NVIDIA kernel module for Linux kernel 4.20
      release candidates.
    - Fixed a bug that caused mode switches to fail when an SDI
      output board was connected.
    - Fixed a bug that could cause rendering corruption in Vulkan
      programs.
    - Fixed a bug that caused
      vkGetPhysicalDeviceDisplayPropertiesKHR() to occasionally
      return incorrect values for physicalResolution.
    - Added the synchronization state for PRIME Displays to nvidia-
      settings.
    - Fixed a bug that could prevent nvidia-xconfig from disabling
      the X Composite extension on version 1.20 of the X.org X
      server.
    - Fixed a build failure, "too many arguments to function
      'get_user_pages'", when building the NVIDIA kernel module for
      Linux kernel v4.4.168.
    - Fixed a build failure, "implicit declaration of function
      do_gettimeofday", when building the NVIDIA kernel module for
      Linux kernel 5.0 release candidates.
    - Added a new kernel module parameter,
      NVreg_RestrictProfilingToAdminUsers, to allow restricting the
      use of GPU performance counters to system administrators
      only.
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_4.18.patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 22 Feb 2019 19:22:11 +0100

nvidia-graphics-drivers-390 (390.87-0ubuntu4) disco; urgency=medium

  * debian/rules:
    - Prevent pkgbinarymangler from symlinking docs (LP: #1804738).
  * debian/templates/control.in:
    - Drop the build dependencies on the wayland libraries.
  * debian/templates/libnvidia-gl-flavour.install.in:
    - Drop 10_nvidia_wayland.json and libnvidia-egl-wayland.so.
      The new egl-wayland packages will provide the library and the
      headers.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 06 Dec 2018 12:14:30 +0100

nvidia-graphics-drivers-390 (390.87-0ubuntu3) disco; urgency=medium

  * debian/dkms_nvidia/patches/buildfix_kernel_4.18.patch:
    - Check the availability of drm_mode_connector_attach_encoder
      and of drm_mode_connector_update_edid_property, and use the
      correct calls, rather than relying on the kernel version.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 16 Nov 2018 12:23:42 +0100

nvidia-graphics-drivers-390 (390.87-0ubuntu2) disco; urgency=medium

  [ Andy Whitcroft]
  * debian/templates/dkms_nvidia.conf.in,
    debian/dkms_nvidia/patches/buildfix_kernel_4.18.patch:
    - Follow upstream function name changes in v4.18.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 13 Nov 2018 14:57:39 +0100
