## nvidia-graphics-drivers-390 390.129

=== debian/changelog ===
nvidia-graphics-drivers-390 (390.129-0ubuntu2) eoan; urgency=medium

  * debian/templates/dkms_nvidia.conf.in,
    debian/dkms_nvidia/patches/do-not-call-pci_save_state.patch,
    debian/dkms_nvidia/patches/disable_fstack-clash-protection_fcf-protection.patch:
    - Do not call pci_save_state() when suspending on Linux >=  4.15.0-54
      (LP: #1836630).
    - Add do-not-call-pci_save_state.patch
    - Detect the availability of the stack-clash-protection and fcf-protection
      flags in the compiler, and make sure to disable them. This fixes an
      issue when dist-upgrading from Ubuntu 19.04 (LP: #1830961).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 10 Oct 2019 16:12:56 +0200

nvidia-graphics-drivers-390 (390.129-0ubuntu1) eoan; urgency=medium

  * New upstream release:
    - Improved nvidia-bug-report.sh to grab the output of the
      `vulkaninfo` command when it is available.
    - Updated nvidia-bug-report.sh to search the systemd journal for
      gdm-x-session logs.
  * debian/templates/dkms_nvidia.conf.in:
    - Remove final # from nvidia module.
  * debian/templates/libnvidia-common-flavour.install.in,
    debian/templates/libnvidia-gl-flavour-dev.install.in,
    debian/templates/libnvidia-gl-flavour.install.in,
    debian/templates/nvidia-compute-utils-flavour.install.in,
    debian/templates/nvidia-driver-flavour.docs.in,
    debian/templates/nvidia-utils-flavour.install.in:
    - Remove final / from installation paths.
  * debian/templates/nvidia-compute-utils-flavour.nvidia-persistenced.service.in:
    - Add the StopWhenUnneeded=true field to nvidia-persistenced.
  * debian/templates/control:
    - Update build dependency on dpkg-dev to >= 1.17.11~.
    - Also rearrange cuda dependencies.
    - Add missing dependency on libnvidia-cfg1.
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.2.patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 06 Aug 2019 09:57:11 +0200

nvidia-graphics-drivers-390 (390.116-0ubuntu2) eoan; urgency=medium

  * debian/dkms_nvidia/patches/buildfix_kernel_5.2.patch,
    debian/templates/dkms_nvidia.conf.in:
    - Add support for Linux 5.2 (LP: #1830050).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 10 Jun 2019 12:25:00 +0200
