=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Vcs-Browser: https://github.com/tseliot/nvidia-graphics-drivers/tree/390
 Build-Depends:
  debhelper (>= 9),
- dpkg-dev (>= 1.17),
+ dpkg-dev (>= 1.17.11~),
  xz-utils,
  dkms,
  libxext6 [!ppc64el],
@@ -110,15 +110,19 @@
 Multi-Arch: same
 Depends:
   ${misc:Depends}, ${shlibs:Depends}
-Provides: nvidia-opencl-icd, opencl-icd, libcuda-5.0-1, libcuda-5.5-1,
- libcuda-6.0-1, libcuda-6.5-1, libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1,
- libcuda-9.0-1, libcuda-9.1-1
-Conflicts: nvidia-opencl-icd, libcuda-5.0-1, libcuda-5.5-1,
- libcuda-6.0-1, libcuda-6.5-1, libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1,
- libcuda-9.0-1, libcuda-9.1-1
-Replaces: nvidia-opencl-icd, libcuda-5.0-1, libcuda-5.5-1,
- libcuda-6.0-1, libcuda-6.5-1, libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1,
- libcuda-9.0-1, libcuda-9.1-1, libnvidia-compute-390 (<< 390.25-0ubuntu2~)
+Provides: nvidia-opencl-icd, opencl-icd, libnvidia-ml1 (= ${source:Version}),
+ libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
+ libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
+ libcuda-9.1-1,
+ libcuda1 (= ${source:Version})
+Conflicts: nvidia-opencl-icd,
+ libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
+ libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
+ libcuda-9.1-1
+Replaces: nvidia-opencl-icd, libnvidia-compute-390 (<< 390.25-0ubuntu2~),
+ libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
+ libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
+ libcuda-9.1-1
 Description: NVIDIA libcompute package
  This package provides a set of libraries which enable the NVIDIA driver
  to use GPUs for parallel general purpose computation through CUDA and
@@ -152,6 +156,7 @@
  nvidia-kernel-source-390 (= ${binary:Version}),
  libnvidia-compute-390 (= ${binary:Version}),
  nvidia-compute-utils-390 (= ${binary:Version}),
+ libnvidia-cfg1-390 (= ${binary:Version}),
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA headless metapackage - no DKMS
  This metapackage installs the NVIDIA driver and the libraries that enable
@@ -350,7 +355,3 @@
 Depends: nvidia-driver-390
 Description: Transitional package for nvidia-driver-390
  This is a transitional package for nvidia-driver-390, and can be
- safely removed after the installation is complete.
-
-Package: nvidia-libopencl1-384
-Architecture: i386 amd64
