=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export NO_DOC_PKG_MANGLE=1
 
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
@@ -231,4 +232,3 @@
 	mkdir get-orig-source
 
 get-orig-source-prepare/%: get-orig-source-prepare
-	$(RM) $(call get_tarball,$*)
