## nvidia-graphics-drivers-390 390.138

=== debian/changelog ===
nvidia-graphics-drivers-390 (390.138-0ubuntu2) groovy; urgency=medium

  * debian/dkms_nvidia/patches/buildfix_kernel_5.8.patch,
    debian/templates/dkms_nvidia.conf.in:
    - Add support for Linux 5.8. This still requires a partial
      revert of commit cfa6705d89b6562f79c40c249f8d94073c4276e4
      (radix-tree: Use local_lock for protection), which made
      radix_tree_preloads GPL-only.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 13 Jul 2020 18:03:46 +0200

nvidia-graphics-drivers-390 (390.138-0ubuntu1) groovy; urgency=medium

  * New upstream release:
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with
      error "implicit declaration of function 'timespec_to_ns'".
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with
      error "implicit declaration of function 'getrawmonotonic'".
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with
      error "implicit declaration of function 'getnstimeofday'".
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with
      error "dereferencing pointer to incomplete type 'struct
      timeval'".
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with
      error "implicit declaration of function 'jiffies_to_timespec'".
    - Fixed driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with
      error "passing argument 4 of 'proc_create_data' from
      incompatible pointer type".
    - Fixed driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with
      error "implicit declaration of function 'ioremap_nocache'".
    - Fixed driver installation failure on Oracle Linux 7.7 systems,
      where the NVIDIA kernel module failed to build with error
      "unknown type name 'vm_fault_t'".
    - Add PRIME Synchronization support for Linux kernel 5.4 and
      newer.
  * debian/templates/control.in:
    - make the DKMS dependency less strict.
    - Use versioned dependencies on nvidia-kernel-common and
      nvidia-dkms, to keep user space in sync with the kernel modules.
  * debian/templates/dkms_nvidia.conf.in:
    - Drop do-not-call-pci_save_state.patch.
  * debian/rules:
    - expose DEBIAN_VERSION.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 18 Jun 2020 15:25:37 +0200
