=== debian/control ===
--- 
+++ 
@@ -26,7 +26,10 @@
 Architecture: i386 amd64 armhf
 Depends:
  libnvidia-gl-390 (= ${binary:Version}),
- nvidia-dkms-390 (= ${binary:Version}),
+ nvidia-dkms-390 (<= 390.138-1),
+ nvidia-dkms-390 (>= 390.138),
+ nvidia-kernel-common-390 (<= 390.138-1),
+ nvidia-kernel-common-390 (>= 390.138),
  nvidia-kernel-source-390 (= ${binary:Version}),
  libnvidia-compute-390 (= ${binary:Version}),
  nvidia-compute-utils-390 (= ${binary:Version}),
@@ -81,7 +84,9 @@
 Provides:
  nvidia-dkms-kernel
 Depends:
- dkms, nvidia-kernel-source-390, nvidia-kernel-common-390,
+ dkms, nvidia-kernel-source-390,
+ nvidia-kernel-common-390 (<= 390.138-1),
+ nvidia-kernel-common-390 (>= 390.138),
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -153,6 +158,8 @@
 Provides: nvidia-384
 Replaces: nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
 Depends:
+ nvidia-kernel-common-390 (<= 390.138-1),
+ nvidia-kernel-common-390 (>= 390.138),
  nvidia-kernel-source-390 (= ${binary:Version}),
  libnvidia-compute-390 (= ${binary:Version}),
  nvidia-compute-utils-390 (= ${binary:Version}),
@@ -228,6 +235,8 @@
  libnvidia-cfg1-390 (= ${binary:Version}),
  ${nvidia:xorgDepends},
  ${shlibs:Depends}, ${misc:Depends}
+Conflicts: xorg-driver-binary, nvidia-driver-binary
+Replaces: xorg-driver-binary, nvidia-driver-binary
 Provides:
  xorg-driver-binary, nvidia-driver-binary,
  ${nvidia:xorgProvides}
@@ -346,12 +355,3 @@
 Package: nvidia-384
 Architecture: i386 amd64 armhf
 Depends: nvidia-driver-390
-Description: Transitional package for nvidia-driver-390
- This is a transitional package for nvidia-driver-390, and can be
- safely removed after the installation is complete.
-
-Package: nvidia-384-dev
-Architecture: i386 amd64 armhf
-Depends: nvidia-driver-390
-Description: Transitional package for nvidia-driver-390
- This is a transitional package for nvidia-driver-390, and can be
