## nvidia-graphics-drivers-390 390.141

=== debian/changelog ===
nvidia-graphics-drivers-390 (390.141-0ubuntu2) hirsute; urgency=medium

  * debian/templates/control.in:
    - Add conflicts/replace/provides for all the metapackages
      (LP: #1915935).
    - Add XB-Support field and set it to "Legacy".
  * debian/templates/dkms_nvidia.conf.in,
    debian/dkms_nvidia/patches/buildfix_kernel_5.11.patch:
    - Add support for Linux 5.11.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 25 Feb 2021 13:14:57 +0100

nvidia-graphics-drivers-390 (390.141-0ubuntu1) hirsute; urgency=medium

  * New upstream release:
    - Fixed a driver installation failure on Linux kernel 5.8 release
      candidates, where the NVIDIA kernel module failed to build with
      error "'struct mm_struct' has no member named 'mmap_sem'".
    - Fixed a driver installation failure on Linux kernel 5.8 release
      candidates, where the NVIDIA kernel module failed to build with
      error "too many arguments to function '__vmalloc'".
  * debian/templates/dkms_nvidia.conf.in,
    debian/templates/dkms.conf.fragment.in:
    - Drop buildfix_kernel_5.8.patch.
    - Disable uvm on Linux >= 5.10.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 07 Jan 2021 17:06:01 +0100
