=== debian/control ===
--- 
+++ 
@@ -26,10 +26,10 @@
 Architecture: i386 amd64 armhf
 Depends:
  libnvidia-gl-390 (= ${binary:Version}),
- nvidia-dkms-390 (<= 390.138-1),
- nvidia-dkms-390 (>= 390.138),
- nvidia-kernel-common-390 (<= 390.138-1),
- nvidia-kernel-common-390 (>= 390.138),
+ nvidia-dkms-390 (<= 390.141-1),
+ nvidia-dkms-390 (>= 390.141),
+ nvidia-kernel-common-390 (<= 390.141-1),
+ nvidia-kernel-common-390 (>= 390.141),
  nvidia-kernel-source-390 (= ${binary:Version}),
  libnvidia-compute-390 (= ${binary:Version}),
  nvidia-compute-utils-390 (= ${binary:Version}),
@@ -50,6 +50,7 @@
  libnvidia-fbc1-390:i386 (= ${binary:Version}) [amd64],
  libnvidia-gl-390:i386 (= ${binary:Version}) [amd64]
 XB-Modaliases: ${modaliases}
+XB-Support: Legacy
 Description: NVIDIA driver metapackage
  This metapackage depends on the NVIDIA binary driver and on all of its libraries,
  to provide hardware acceleration for OpenGL/GLX/EGL/GLES/Vulkan
@@ -85,8 +86,8 @@
  nvidia-dkms-kernel
 Depends:
  dkms, nvidia-kernel-source-390,
- nvidia-kernel-common-390 (<= 390.138-1),
- nvidia-kernel-common-390 (>= 390.138),
+ nvidia-kernel-common-390 (<= 390.141-1),
+ nvidia-kernel-common-390 (>= 390.141),
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -115,16 +116,16 @@
 Multi-Arch: same
 Depends:
   ${misc:Depends}, ${shlibs:Depends}
-Provides: nvidia-opencl-icd, opencl-icd, libnvidia-ml1 (= ${source:Version}),
+Provides: libnvidia-compute, nvidia-opencl-icd, opencl-icd, libnvidia-ml1 (= ${source:Version}),
  libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
  libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
  libcuda-9.1-1,
  libcuda1 (= ${source:Version})
-Conflicts: nvidia-opencl-icd,
+Conflicts: libnvidia-compute, nvidia-opencl-icd,
  libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
  libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
  libcuda-9.1-1
-Replaces: nvidia-opencl-icd, libnvidia-compute-390 (<< 390.25-0ubuntu2~),
+Replaces: libnvidia-compute, nvidia-opencl-icd, libnvidia-compute-390 (<< 390.25-0ubuntu2~),
  libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
  libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
  libcuda-9.1-1
@@ -138,9 +139,9 @@
 Depends:
  libnvidia-compute-390, adduser,
  ${misc:Depends}, ${shlibs:Depends}
-Provides: nvidia-persistenced
-Conflicts: nvidia-persistenced
-Replaces: nvidia-persistenced
+Provides: nvidia-compute-utils, nvidia-persistenced
+Conflicts: nvidia-compute-utils, nvidia-persistenced
+Replaces: nvidia-compute-utils, nvidia-persistenced
 Description: NVIDIA compute utilities
  This package provides utility binaries for paraller general purpose
  computing use cases with the NVIDIA driver.
@@ -158,8 +159,8 @@
 Provides: nvidia-384
 Replaces: nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
 Depends:
- nvidia-kernel-common-390 (<= 390.138-1),
- nvidia-kernel-common-390 (>= 390.138),
+ nvidia-kernel-common-390 (<= 390.141-1),
+ nvidia-kernel-common-390 (>= 390.141),
  nvidia-kernel-source-390 (= ${binary:Version}),
  libnvidia-compute-390 (= ${binary:Version}),
  nvidia-compute-utils-390 (= ${binary:Version}),
@@ -176,6 +177,9 @@
 
 Package: nvidia-headless-390
 Architecture: i386 amd64 armhf
+Conflicts: nvidia-headless
+Provides: nvidia-headless
+Replaces: nvidia-headless
 Depends:
  nvidia-headless-no-dkms-390,
  nvidia-dkms-390,
@@ -220,6 +224,7 @@
 Architecture: all
 Multi-Arch: foreign
 Breaks: libnvidia-gl-390 (<< 390.25-0ubuntu2~)
+Conflicts: libnvidia-common
 Replaces: libnvidia-common, libnvidia-gl-390 (<< 390.25-0ubuntu2~)
 Provides: libnvidia-common
 Depends:
@@ -347,11 +352,3 @@
 Replaces:
  libnvidia-encode
 Description: NVENC Video Encoding runtime library
- The NVENC Video Encoding library provides an interface to video encoder
- hardware on supported NVIDIA GPUs.
- .
- This package contains the nvidia-encode runtime library.
-
-Package: nvidia-384
-Architecture: i386 amd64 armhf
-Depends: nvidia-driver-390
