## nvidia-graphics-drivers-390 390.144

=== debian/changelog ===
nvidia-graphics-drivers-390 (390.144-0ubuntu0.21.04.1) hirsute; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 05 Jul 2021 10:53:18 +0200

nvidia-graphics-drivers-390 (390.143-0ubuntu1.21.04.1) hirsute; urgency=medium

  * debian/dkms_nvidia/patches/buildfix_kernel_5.13.patch,
    debian/templates/dkms_nvidia.conf.in:
    - Add support for Linux 5.13 (LP: #1931131).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 15 Jun 2021 14:04:51 +0200

nvidia-graphics-drivers-390 (390.143-0ubuntu1) hirsute; urgency=medium

  * New upstream release (LP: #1923062).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.11.patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 08 Apr 2021 15:31:03 +0200
